Subject: Re: bug#38226: guix pull: error: build failed: [...] ice-9/boot-9.scm:109:20: Syntax error:

From: Ludovic Courtès <[email-masked]>
Date: Mon, 18 Nov 2019 21:19:15 +0100

Hello,

Kai Mertens <[email-masked]> skribis:

> hmm, I am on i686 – is the trick still applicable?

Sure, you can try the command I gave with
"/gnu/store/ly0x0dk2qm0jk3fgwsrnl5cy8a1ybwkk-guix-900ef20b1.drv" for
instance.

> I will switch to root’s profile with “sudo -i”, but that is ok, right?

Yes, you can do that.  “sudo -i guix pull” means you’ll be updating
root’s Guix.  You’ll probably want to update your user’s Guix as well,
with just “guix pull”.

> I guess I cannot use a simple “sudo -i guix package -u guix” as a
> workaround for the failing “sudo -i guix pull”, as it would bring up
> the same issue?

Right, you have to get yourself a newer Guix first.  :-)

HTH!

Ludo’.